Next: PET I/O extension settings, Previous: Changing PET model settings, Up: PET-specific commands and settings [Contents][Index]

#### 7.7.2 CRTC Settings

#### 7.7.2.1 CRTC resources

`Crtc`

  Boolean specifying whether to enable/disable CRTC 6545 emulation (all models from 40xx and above).

`CrtcVideoCache`

  Boolean specifying whether the video cache is turned on.

`CrtcDoubleSize`

  Boolean specifying whether double-size mode is turned on.

`CrtcDoubleScan`

  Boolean specifying whether double-scan mode is turned on.

`CrtcStretchVertical`

  Boolean specifying whether vertical stretching is turned on.

`CrtcPaletteFile`

  String specifying the name of the palette file being used. The `.vpl` extension is optional.

`CrtcExternalPalette`

  Boolean specifying whether to use external palette file or not.

`CrtcColorSaturation`

  Integer specifying saturation of internal calculated palette. (0..2000)

`CrtcColorContrast`

  Integer specifying contrast of internal calculated palette. (0..2000)

`CrtcColorBrightness`

  Integer specifying brightness of internal calculated palette. (0..2000)

`CrtcColorGamma`

  Integer specifying gamma of internal calculated palette. (0..4000)

`CrtcColorTint`

  Integer specifying tint of internal calculated palette. (0..2000)

`CrtcPALScanLineShade`

  Integer specifying amount of scan line shading for the CRT emulation. (0..1000)

`CrtcPALBlur`

  Integer specifying amount of horizontal blur for the CRT emulation. (0..1000)

`CrtcPALOddLinePhase`

  Integer specifying phase for color carrier in odd lines. (0..2000)

`CrtcPALOddLineOffset`

  Integer specifying phase offset for color carrier in odd lines. (0..2000)

`CrtcAudioLeak`

  Boolean specifying whether to enable/disable video to audio leak emulation.

`CrtcFilter`

  Integer specifying rendering filter. (0: None, 1: CRT emulation, 2: Scale2x)

#### 7.7.2.2 CRTC command-line options

`-crtc`
`+crtc`

  Enable/disable the 6545 CRTC emulation (`Crtc=1`, `Crtc=0`).

`-Crtcvcache`
`+Crtcvcache`

  Enable/disable the video cache (`CrtcVideoCache=1`, `CrtcVideoCache=0`).

`-Crtcdsize`
`+Crtcdsize`

  Enable/disable double size (`CrtcDoubleSize=1`, `CrtcDoubleSize=0`).

`-CRTCstretchvertical`
`+CRTCstretchvertical`

  Enable/disable vertical stretching (`CrtcStretchVertical=1`, `CrtcStretchVertical=0`).

`-Crtcdscan`
`+Crtcdscan`

  Enable/disable double scan (`CrtcDoubleScan=1`, `CrtcDoubleScan=0`).

`-Crtcfilter <Mode>`

  Select rendering filter (`CrtcFilter`). (0: None, 2: CRT emulation, 3: Scale2x)

`-Crtcintpal`

  Use an internal calculated palette (`CrtcExternalPalette=0`).

`-Crtcextpal`

  Use an external palette (file) (`CrtcExternalPalette=1`).

`-Crtcpalette <name>`

  Specify the name of the palette file (`CrtcPaletteFile`).

`-Crtcsaturation <0-2000>`

  Set saturation of internal calculated palette (`CrtcColorSaturation`).

`-Crtccontrast <0-2000>`

  Set contrast of internal calculated palette (`CrtcColorContrast`).

`-Crtcbrightness <0-2000>`

  Set brightness of internal calculated palette (`CrtcColorBrightness`).

`-Crtcgamma <0-4000>`

  Set gamma of internal calculated palette (`CrtcColorGamma`).

`-Crtctint <0-2000>`

  Set tint of internal calculated palette (`CrtcColorTint`).

`-Crtcoddlinesphase <0-2000>`

  Set phase for color carrier in odd lines (`CrtcPALOddLinePhase`).

`-Crtcoddlinesoffset <0-2000>`

  Set phase offset for color carrier in odd lines (`CrtcPALOddLineOffset`).

`-Crtccrtblur <0-1000>`

  Amount of horizontal blur for the CRT emulation (`CrtcPALBlur`).

`-Crtccrtscanlineshade <0-1000>`

  Amount of scan line shading for the CRT emulation (`CrtcPALScanLineShade`).

`-Crtcaudioleak`
`+Crtcaudioleak`

  Enable/disable video to audio leak emulation (`CrtcAudioLeak=1`, `CrtcAudioLeak=0`).

Next: PET I/O extension settings, Previous: Changing PET model settings, Up: PET-specific commands and settings [Contents][Index]